Bug 1440321 - Access (remote console) at VM level shows twice VM Console and one is greyed out
Summary: Access (remote console) at VM level shows twice VM Console and one is greyed out
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.8.0
Assignee: Brian McLaughlin
QA Contact: Satyajit Bulage
URL:
Whiteboard: console:html5
Depends On: 1439226
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-07 22:09 UTC by Satoe Imaishi
Modified: 2017-05-31 14:50 UTC (History)
6 users (show)

Fixed In Version: 5.8.0.10
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1439226
Environment:
Last Closed: 2017-05-31 14:50:28 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Comment 2 CFME Bot 2017-04-07 22:13:18 UTC
New commit detected on ManageIQ/manageiq-ui-classic/fine:
https://github.com/ManageIQ/manageiq-ui-classic/commit/eb9f4de1adc4212a6f6ca2e79e1993ba655268af

commit eb9f4de1adc4212a6f6ca2e79e1993ba655268af
Author:     Harpreet Kataria <hkataria@redhat.com>
AuthorDate: Fri Apr 7 12:52:47 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Fri Apr 7 18:09:57 2017 -0400

    Merge pull request #949 from bmclaughlin/multiple-vm-console-buttons
    
    Fixed multiple 'VM Console' buttons appearing on VMs
    (cherry picked from commit 4b13001415a9a4a49ef9a060e123acd9baae8b0b)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1440321

 .../application_helper/button/vm_webmks_console.rb |  4 +--
 .../application_helper/toolbar/x_vm_center.rb      |  6 ++--
 .../buttons/vm_webmks_console_spec.rb              | 34 ++++++++++++++++++++++
 3 files changed, 39 insertions(+), 5 deletions(-)
 create mode 100644 spec/helpers/application_helper/buttons/vm_webmks_console_spec.rb

Comment 3 Satyajit Bulage 2017-04-28 07:50:26 UTC
There are only 2 options present one VM Console and another is Web Console.

Verified Version:  5.8.0.12-rc1.20170425180304_4f35996

Comment 5 errata-xmlrpc 2017-05-31 14:50:28 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.